<?php
/*
Plugin Name: Wordpress Eyelaser Savings Calculator by Ostheimer
Plugin URI: http://www.ostheimer.at/
Description: The Wordpress Eyelaser Savings Calculator by Ostheimer tells you how much money you can save with laser eye treatments until you are 60.
Author: Ostheimer.at
Version: 1.6
Author URI: http://www.ostheimer.at

	Copyright 2012  Ostheimer.at  (email : office@ostheimer.at)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


/* Version check */
global $wp_version;

$exit_msg='Wordpress Eyelaser Savings by Ostheimer requires WordPress 3.0 or newer.
<a href="http://codex.wordpress.org/Upgrading_Wordpress">Please update!</a>';

if(version_compare($wp_version, "3.0","<")) {
	exit($exit_msg);
}

/* Select the URL of the plugin */
$plugin_url_eyelaser = trailingslashit( WP_PLUGIN_URL.'/'. dirname( plugin_basename(__FILE__) ));

/* Localization */
load_plugin_textdomain( 'eyelaser', false, dirname( plugin_basename(__FILE__) ).'/languages/'  );

/* Register Widget */
function eyelaser_init() {
	global $plugin_url_eyelaser;
	wp_register_sidebar_widget('Eyelaserspeed', 'Eyelaserspeed Widget', 'eyelaser_widget');
	wp_register_widget_control('Eyelaserspeed', 'Eyelaserspeed Widget', 'eyelaser_widget_control');
}
add_action('init','eyelaser_init');

/* Load CSS */
function eyelaser_css() {
	global $plugin_url_eyelaser;
	wp_register_style( 'eyelaser-css', $plugin_url_eyelaser . 'eyelaser-savings.css' );
	wp_enqueue_style( 'eyelaser-css' );
	wp_register_style( 'jquery-ui-css', $plugin_url_eyelaser . 'jquery-ui.css' );
	wp_enqueue_style( 'jquery-ui-css' );
}
add_action( 'wp_enqueue_scripts', 'eyelaser_css' );

/* Load Scripts */
function eyelaser_scripts() {
	global $plugin_url_eyelaser;
	wp_enqueue_script('eyelaser', $plugin_url_eyelaser . 'eyelaser-savings.js', array('jquery'));
	wp_enqueue_script('jquery-ui-slider');
}
add_action('wp_enqueue_scripts','eyelaser_scripts',10);

function display_eyelaser_shortcode($atts) {	
	extract(shortcode_atts( array(
		'link' 		=> ''
	), $atts ));
			
	echo '<div id="eyelaser" class="eyelaser">';
			echo '<h2>';_e( "Saving calculator for eye laser treatments", 'eyelaser' ); echo '</h2>';
			echo '<p>';_e( "Optical glasses or contact lenses can cause considerable costs over time. Save money and improve your quality of life by an eye laser surgery. The total costs for glasses, corrective lenses and care products are in the long term much higher than the onetime price of an eye laser treatment which has amortised itself after a short period of time.", 'eyelaser' ); echo '</p>';
			echo '<p>';_e( "Our saving calculator calculates the costs that would be incurred for optical glasses or contact lenses until you are 60 years old and compares the amount with the onetime costs of an eye laser treatment . The only data that you must name is your age and the approximate costs  for glasses, contact lenses, care products etc. in a year´s time.", 'eyelaser' ); echo '</p>';
			echo '<p>';_e( "Now calculate the cost savings of an eye laser treatment until you reach the age of 60!", 'eyelaser' ); echo '</p>';
			echo '<div id="eye_sliders">';
				echo '<h3>';_e( "Please enter your age", 'eyelaser' ); echo '</h3>';
				echo '<div id="age_slider" class="slider"></div><div class="slider_value">
						<input type="text" id="age_value" readonly="readonly" /></div><div class="clear"></div>';
				echo '<h3>';_e( "What are your annual expenses for eyeglasses?", 'eyelaser' ); echo '</h3>';
				echo '<div id="glass_slider" class="slider"></div><div class="slider_value">
						<input type="text" id="glass_value" readonly="readonly" /> <span class="currency">';_e( "$", 'eyelaser' );echo '</span></div><div class="clear"></div>';
				echo '<h3>';_e( "What are your annual expenses for contact lenses (including care products)?", 'eyelaser' ); echo '</h3>';
				echo '<div id="lens_slider" class="slider"></div><div class="slider_value">
						<input type="text" id="lens_value" readonly="readonly" /> <span class="currency">';_e( "$", 'eyelaser' );echo '</span></div><div class="clear"></div>';
			echo '</div>';
			echo '<div id="eye_results">';
				echo '<h3>';_e( "Cost of visual aids", 'eyelaser' ); echo '</h3>';
				echo '<div class="amount">
						<span id="costs_glasses"></span>
						<span class="currency">';_e( "$", 'eyelaser' );echo '</span>
					</div>';
				echo '<h3>';_e( "Cost of an eye laser treatment", 'eyelaser' ); echo '</h3>';
				echo '<div id="costs_laser" class="amount">';_e( "- 1.650 ", 'eyelaser' ); _e( "$", 'eyelaser' ); echo'</div>';
				echo '<h3 class="savings">';_e( "Your Saving", 'eyelaser' ); echo '</h3>';
				echo '<div class="amount last">
						<span id="savings"></span>
						<span class="currency">';_e( "$", 'eyelaser' );echo '</span>
					</div>';
			echo '</div>';
				echo '<div class="field message"></div>';
				echo '<div class="clear"></div>';
				if($link == 'true') {
				echo '<div id="link" class="field">
						<a href="http://www.ostheimer.at" target="_blank" title="Ostheimer Wordpress Webdesign and SEO">Plugin by </a><a href="http://www.laseklasik.at" title="Augenlasern bei Wien">laseklasik.at</a>
					  </div>';
				}
	echo '</div>';
}

/* Generate Shortcode [eyelaser_savings] */
function eyelaser_shortcode($atts) {
	ob_start();
	display_eyelaser_shortcode($atts);
	$output_string = ob_get_contents();
	ob_end_clean();
	
	return $output_string;
}
add_shortcode('eyelaser_savings','eyelaser_shortcode');